using Edge.Core.Parser.BinaryParser.Attributes;
using System;
using System.Collections.Generic;
using System.Text;

namespace  HengshanPaymentTerminal.MessageEntity.Incoming
{
    public class QueryGrayRecordRequest : CardMessageBase
    {
        public QueryGrayRecordRequest() : base(Command.QueryGrayRecordRequest)
        {

        }

        [Format(10, EncodingType.BcdString, -89)]
        public string Asn { get; set; }

        [Format(4, EncodingType.BIN, -88)]
        public int Balance { get; set; }

        [Format(2, EncodingType.BIN, -87)]
        public ushort Ctc { get; set; }

        [Format(7, EncodingType.BcdString, -86)]
        public string Time { get; set; }
    }
}
